STRUCT RIO_OPS(9)

NAME
struct rio_ops - Low-level RIO configuration space operations

SYNOPSIS
struct rio_ops {
  int (* lcread) (int index, u32 offset, int len, u32 * data);
  int (* lcwrite) (int index, u32 offset, int len, u32 data);
  int (* cread) (int index, u16 destid, u8 hopcount, u32 offset, int len,u32 * data);
  int (* cwrite) (int index, u16 destid, u8 hopcount, u32 offset, int len,u32 data);
  int (* dsend) (int index, u16 destid, u16 data);
};

MEMBERS

lcread
    Callback to perform local (master port) read of config space.

lcwrite
    Callback to perform local (master port) write of config space.

cread
    Callback to perform network read of config space.

cwrite
    Callback to perform network write of config space.

dsend
    Callback to send a doorbell message.

AUTHOR
Matt Porter <mporter@kernel.crashing.org> <mporter@mvista.com>.